using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.OperatorBusinessLogicsContracts
{
    public interface IOperatorLogic
    {
        List<OperatorViewModel>? ReadList(OperatorSearchModel? model);
        OperatorViewModel? ReadElement(OperatorSearchModel model);
        bool Create(OperatorBindingModel model);
        bool Update(OperatorBindingModel model);
    }
}
